#!/usr/bin/python
#
# File: setup.py
#
# This file is part of the biblio-py project
#
# Copyright (C) 2009 Juan Fiol
# This is free software.  You may redistribute copies of it under the terms of
# the GNU General Public License version 2 or later.
# There is NO WARRANTY, to the extent permitted by law.
#
# Written by Juan Fiol <juanfiol@gmail.com>
import sys, os, os.path, glob
from distutils.core import setup
import distutils

packages = ["yapbib","query_ads"]
VERSION= '0.5.0'
scripts = ['scripts/bibmanage.py','scripts/bibextract.py','scripts/get_papers.py']
# do the distutils setup
setup(name="biblio-py",
      version = VERSION,
      description = "Package to manage bibliography files",
      long_description = """Package to Manage bibliographies, it may import bibtex files and supports exporting to bibtex, latex lists, html and xml.  It also provides methods to import from bibtex and ADS (Harvard database) portable format""",
      license = "GPLv2",
      url = "http://cabcat2.cnea.gov.ar/staff/fiol/biblio-py.html",
      download_url="http://cabcat2.cnea.gov.ar/staff/fiol/biblio-py-0.5.0.tar.gz",
      author = "Juan Fiol",
      author_email = "juanfiol@gmail.com",
      packages = packages,
      scripts = scripts,
      )

